Subject: bug#8731: 24.0.50; smtpmail-send-it encodes encoded message header

From: Kenichi Handa <[email-masked]>
Date: Fri, 27 May 2011 13:58:19 +0900

In article <[email-masked]>, Katsumi Yamaoka <[email-masked]> writes:

> The rfc2047.el encoder encodes things that look like encoded words
> by default.  This prevents encoded words, that a user purposely
> puts in a message subject or other, from being broken by a decoder.
[...]
> By your recent change in smtpmail.el, this is just what happens
> when sending a mail using Gnus now.  Could you revert it?  Or
> please let-bind `rfc2047-encode-encoded-words' to nil when running
> `mail-encode-header'.

Thank yor for the report.  It seems that sendmail-send-it
has the same problem.  So, I've just installed this to
emacs-23 branch.

2011-05-27  Kenichi Handa  <[email-masked]>

	* mail/sendmail.el (mail-encode-header): Avoid double encoding by
	let-binding rfc2047-encode-encoded-words to nil.

---
Kenichi Handa
[email-masked]